.. currentmodule:: sardana.pool.pooldefs

:mod:`~sardana.pool.pooldefs`
=============================

.. automodule:: sardana.pool.pooldefs

.. rubric:: Constants

.. autodata:: sardana.pool.pooldefs.ControllerAPI

.. rubric:: Enumerations

.. hlist::
    :columns: 3

    * :class:`~AcqSynch`
    * :data:`~AcqSynchType`
    * :class:`~SynchParam`
    * :class:`~SynchDomain`

AcqSynch
--------

.. inheritance-diagram:: AcqSynch
    :parts: 1

.. autoclass:: AcqSynch
    :show-inheritance:
    :members:
    :undoc-members:


AcqSynchType
------------

.. autodata:: AcqSynchType


SynchParam
----------

.. inheritance-diagram:: SynchParam
    :parts: 1

.. autoclass:: SynchParam
    :show-inheritance:
    :members:
    :undoc-members:


SynchDomain
-----------

.. inheritance-diagram:: SynchDomain
    :parts: 1

.. autoclass:: SynchDomain
    :show-inheritance:
    :members:
    :undoc-members:

